List deals
curl --request GET \
--url https://api.journeybee.io/v1/deals/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.journeybee.io/v1/deals/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.journeybee.io/v1/deals/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"uuid": "<string>",
"label": "<string>",
"deal_value": 123,
"total_commission_value": 123,
"expiration_date": "<string>",
"stage": {
"uuid": "<string>",
"label": "<string>"
},
"lead": {
"uuid": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"company_name": "<string>"
},
"partner": {
"uuid": "<string>",
"name": "<string>"
},
"currency": {
"uuid": "<string>",
"code": "<string>",
"label": "<string>"
},
"tags": [
{
"uuid": "<string>",
"label": "<string>"
}
],
"assigned_users": [
{
"uuid": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>"
}
],
"custom_fields": [
{
"uuid": "<string>",
"label": "<string>",
"value": {
"text": "<string>",
"number": 123,
"date": "<string>",
"boolean": true,
"select": 123,
"multi_select": [
123
]
},
"options": [
{
"id": 123,
"label": "<string>"
}
]
}
],
"created_at": "<string>",
"updated_at": "<string>"
}
],
"pagination": {
"page": 123,
"per_page": 123,
"total": 123,
"total_pages": 123
}
}Deals
List deals
List deals with optional filtering by stage phase, stage UUID, lead, partnership, or search. Each deal includes its linked lead, partner, stage, currency, tags, and custom field values. Note: deal stages and custom fields are scoped by partner type (referral/reseller/distributor).
GET
/
deals
/
List deals
Authorizations
API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".
Query Parameters
Required range:
1 <= x <= 9007199254740991Required range:
1 <= x <= 100Available options:
new, in_progress, won, lost, expired, on_hold Maximum string length:
200⌘I